Reklam

* E Posta Adresiniz:
* Kodu Girin:

İleti Yazar
31.01.2018 19:33
86020    
mgargin48

[2] Girişimci

Online Durumu

1 ileti

Merhabalar,

Öncelikle böyle bir siteyi kurup yönetip ve profesyonel çalışmalarınızdan dolayı tebrik ve takdir ediyorum.

Üç arkadaş olarak 1 yıl önce faaliyete geçirdiğimiz Radye mühendislik firmamız var. Yeni kurulduk. İş almaya çalışıyoruz. Statik çizimi yapmaktayız. Bir konuda yardımcı olabilir misiniz?

Projesi hazır olan bir statik cad halinin metraıjnı alırken,

donatı üzerindeki iki ayrı text in(l boyu ve çapı), tek bir text haline getirmek için iki text i seçip lisp i çalıştırıyoruz. Bu da epey zaman alıyor.

İhityacımız olan, bütün text leri seçip, aynı x ve y koordinatındaki textleri ikisini birleştirdiği gibi bütün projede tek bir lisp çalıştırarak birleştimesini sağlamak istiyoruz.

Kullandığımız lisp:
;
(DEFUN C:t4 ( / )
(TERPRI)
(PRINC "İki adet text i araya bir nokta koyarak birleştirir.....Önce tam kısım seçilmelidir......")
(t4_layer_yap "REBAR_DET3" "51" "")
(setq B (SSGET '((0 . "TEXT"))))
(if (> (car (cdr (assoc 10 (ENTGET (SSNAME B 0))))) (car (cdr (assoc 10 (ENTGET (SSNAME B 1))))) )
(progn (SETQ TEXT1 (ENTGET (SSNAME B 1)))
(SETQ TEXT2 (ENTGET (SSNAME B 0)))
(COMMAND "ERASE" (SSNAME B 0) "") )
(progn (SETQ TEXT1 (ENTGET (SSNAME B 0)))
(SETQ TEXT2 (ENTGET (SSNAME B 1)))
(COMMAND "ERASE" (SSNAME B 1) "") )
)
(SETQ TEXT1 (SUBST (CONS 1 (STRCAT (cdr (assoc 1 TEXT1)) " " (cdr (assoc 1 TEXT2))) )(assoc 1 TEXT1) TEXT1))
(SETQ TEXT1 (SUBST (CONS 8 "REBAR_DET3" )(assoc 8 TEXT1) TEXT1))
(ENTMOD TEXT1)
(princ)
)
-------------------------------------

Saygı ve sevgilerimle

Copyright © 2004-2018 | Tüm Hakları Saklıdır | 661 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam